// start Storage
var url = "http://mafiaafire.com";
var ios = Components.classes["@mozilla.org/network/io-service;1"]
          .getService(Components.interfaces.nsIIOService);
var ssm = Components.classes["@mozilla.org/scriptsecuritymanager;1"]
          .getService(Components.interfaces.nsIScriptSecurityManager);
var dsm = Components.classes["@mozilla.org/dom/storagemanager;1"]
          .getService(Components.interfaces.nsIDOMStorageManager);
var uri = ios.newURI(url, "", null);
var principal = ssm.getCodebasePrincipal(uri);
var storage = dsm.getLocalStorageForPrincipal(principal, "");
// end Storage



function display_blocked_list1() {

  var list = storage.getItem('domain_list_original');
  if (list !== undefined) {

	// Strip out all line breaks.
	var strSingleLineText = list.replace(new RegExp( " ", "g" ),	"<br>" 	);
 
	var status = document.getElementById("div1");
 status.innerHTML = strSingleLineText;
   }
//----------------------- The top is for the original domains and the below for the redirected domains

  var list2 = storage.getItem('domain_list_redirect');
  if (list2 !== undefined) {

	// Strip out all line breaks.
	var strSingleLineText2 = list2.replace(new RegExp( " ", "g" ),	"<br>" 	);
 
	var status2 = document.getElementById("div2");
 status2.innerHTML = strSingleLineText2;
   }


//----------------------- And this is for the refresh date

  var list3 = storage.getItem('list_expiry_date');
  
  if (list3 !== undefined) {



var dateArray = list3.split(",");
var future_date = new Date(dateArray[0],dateArray[1],dateArray[2]);
future_date.setDate(future_date.getDate()+2);

	var status2 = document.getElementById("div3");
 status2.innerHTML = future_date;


//storage.setItem('list_expiry_date',"2004,11,23");
//storage.setItem('domain_list_original',null);

//alert(storage.getItem('domain_list_original'));
//alert(storage.getItem('domain_list_original2'));

//alert(future_date);
  }
// ##################################################

}